aboutsummaryrefslogtreecommitdiff
path: root/x11-toolkits
Commit message (Collapse)AuthorAgeFilesLines
* Update gtk30 to 3.18.8.Koop Mast2016-03-042-4/+4
| | | | Notes: svn path=/head/; revision=410111
* Add GStreamer1 gstsink plugin.Koop Mast2016-03-032-0/+14
| | | | Notes: svn path=/head/; revision=410073
* x11-toolkits/tk86: switch to OPTIONS helpersPietro Cerutti2016-03-012-400/+383
| | | | Notes: svn path=/head/; revision=409863
* lang/tcl86, x11-toolkits/tk86: update to 8.6.5Pietro Cerutti2016-03-013-5/+4
| | | | | | | Announcement: http://code.activestate.com/lists/tcl-core/15514 Notes: svn path=/head/; revision=409855
* x11-toolkits/py-kivy: update to 1.9.1David Naylor2016-02-248-679/+1411
| | | | | | | | | | | | | | | Changes: - Add dependency for multi-touch support - Explicitly set USE_* MAKE_ENV variables - Remove unneeded shebang fixes - Add SDL2 to image group for options - Remove PDF option (does not build) - Use option helps - Remove upstreamed patches - Use explicit pkg-plist Notes: svn path=/head/; revision=409482
* lang/tcl85, x11-toolkits/tk85: update to 8.5.19Pietro Cerutti2016-02-164-418/+387
| | | | | | | Announcement: http://code.activestate.com/lists/tcl-core/15413/ Notes: svn path=/head/; revision=408982
* - Clarify LICENSEDmitry Marakasov2016-02-141-11/+13
| | | | | | | | - Add LICENSE_FILE - Switch to options helpers Notes: svn path=/head/; revision=408906
* - Add LICENSEDmitry Marakasov2016-02-142-15/+16
| | | | | | | | | - Switch to options helpers - Simplify installation - Switch to pkg-plist Notes: svn path=/head/; revision=408902
* - Switch to USES=localbaseDmitry Marakasov2016-02-141-4/+4
| | | | | | | - Switch to options helpers Notes: svn path=/head/; revision=408899
* - Switch to options helpersDmitry Marakasov2016-02-141-1/+1
| | | | Notes: svn path=/head/; revision=408894
* The FreeBSD GNOME team proudly presents GNOME 3.18 for FreeBSD.Koop Mast2016-02-1427-974/+774
| | | | | | | | | | | | | | | | | | | | | | | | The offical GNOME 3.18 release notes can be found at https://help.gnome.org/misc/release-notes/3.18/ This update doesn't contain the glib/gtk c++ bindings which will be done in a another update due to the requirement on c++11 and the amount of fallout this probably will give. GDM is still at version 3.16 due to some issues. Bump mate-themes to use the gtk 3.18 version of the themes. Thanks to Antoine Brodin for running the exp-runs. This release was made possible by the following people: Gustau Perez Ting-Wei_Lan PR: 207006 Notes: svn path=/head/; revision=408881
* - Add LICENSEDmitry Marakasov2016-02-144-12/+15
| | | | | | | | - Switch to options helpers - Regenerate patches with `make makepatch` Notes: svn path=/head/; revision=408880
* x11-toolkits/osm-gps-map: New port for a Gtk+ map widgetJean-Sébastien Pédron2016-02-135-0/+80
| | | | | | | | | Reviewed by: kwm Approved by: kwm Differential Revision: https://reviews.freebsd.org/D4246 Notes: svn path=/head/; revision=408799
* - Switch to options helpersDmitry Marakasov2016-02-101-6/+6
| | | | Notes: svn path=/head/; revision=408639
* - Add LICENSEDmitry Marakasov2016-02-101-1/+6
| | | | | | | - Switch to options helpers Notes: svn path=/head/; revision=408638
* - Switch to options helpersDmitry Marakasov2016-02-101-2/+6
| | | | Notes: svn path=/head/; revision=408637
* - Mark MAKE_JOBS_UNSAFE, fails sporadically with parallel build:Dmitry Marakasov2016-02-091-0/+1
| | | | | | | | | | | | | chmod: libpTk.a: No such file or directory or ERROR: Cannot copy 'version.h' to '../blib/arch/Tk/pTk/version.h': Permission denied Approved by: portmgr blanket Notes: svn path=/head/; revision=408527
* Turn gnome-pty-helper into a stand-alone port. Copy parts of the vte3Koop Mast2016-02-086-11/+75
| | | | | | | | | | | Makefile and the patches from the current vte3 port. The next update of the vte3 port to 0.42.x doesn't bundle this code anymore. Obtained from: gnome devel repo Notes: svn path=/head/; revision=408471
* Update to 3.6.3Olivier Duchateau2016-02-072-3/+3
| | | | | | | | PR: 206751 Submitted by: Naram Qashat (maintainer) Notes: svn path=/head/; revision=408344
* Remove Python 3.2 related slave ports to unbreak INDEXRuslan Makhmatkhanov2016-02-022-8/+0
| | | | | | | With hat: python Notes: svn path=/head/; revision=407848
* Remove source and intermediate build output from intalled rubygem- portsSteve Wills2016-02-0213-1/+62
| | | | | | | PR: 192949 Notes: svn path=/head/; revision=407788
* Welcome Centos 6.7Martin Wilke2016-01-3010-55/+55
| | | | | | | | | | | | | | | | | - Upgrade all linux-c6- to CentOS 6.7 - Cleanups PR: 205846 Submitted by: xmj In Collaboration with: allanjude, netchild, xmj Exp-run: antoine Sponsored by: Perceivon Hosting Inc. Differential Revision: D3428 We'd like to thanks for all the feedback and comments. Notes: svn path=/head/; revision=407537
* - Fix a typo made in r356451 as part of conversion to option helpers:Alexey Dokuchaev2016-01-271-5/+6
| | | | | | | | | | | GSTREAMER_ENABLE -> GSTREAMER_CONFIGURE_ENABLE - Remove --with-libmspack from initial CONFIGURE_ARGS since it has its own option and controlled via MSPACK_CONFIGURE_WITH knob - Enable building of wxStackWalker class for getting backtraces, some software requires it Notes: svn path=/head/; revision=407359
* Remove CONFLICTS with older qt5-designer versions.Raphael Kubo da Costa2016-01-251-3/+0
| | | | | | | | | | | | | | | | | | | | | | It is causing portmaster to fail with an error like this: ===>>> x11-toolkits/qt5-uiplugin seems to depend on devel/qt5-designer which looks like a dependency loop which is not really what's happening here; the error comes from the fact that qt5-designer 5.4.1 is being upgraded to 5.5.1, qt5-uiplugin is added as a dependency that must be built first, but then it's marked as CONFLICTing with the installed qt5-designer version. Since qt5-designer < 5.5.0 does not actually install any of the uiplugin files (since it was not an independent module before), we can just remove the CONFLICTS line. Thanks to Walter Schwarzenfeld (w.schwarzenfeld@aon.at) for the report. PR: 206435 Notes: svn path=/head/; revision=407203
* Update Qt5 to 5.5.1.Raphael Kubo da Costa2016-01-2419-193/+288
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | This is the latest stable release at time of writing. Release announcement: http://blog.qt.io/blog/2015/07/01/qt-5-5-released/ New features in Qt 5.5: https://wiki.qt.io/New_Features_in_Qt_5.5 As usual, huge thanks to Tobias Berner (tcberner@gmail.com) for all his work on these ports in kde@'s experimental area51 repository. He's the one who started the update and did a lot of the initial work on Qt 5.5. Ralf Nolden (nolden@kde.org) has contributed the initial version of most of our new Qt5 ports. Also thanks to Yuri Victorovich (yuri@rawbw.com) for contributing PR 205805 with his own patch for the 5.5.1 update. Some of his changes there prompted additional fixes and changes present in the final patch generated from our experimental repository. New ports: - comms/qt5-connectivity, comms/qt5-sensors, devel/qt5-location, graphics/qt5-3d, net/qt5-enginio, x11-toolkits/qt5-canvas3d, x11-toolkits/qt5-uiplugin. General changes in all Qt5 ports: - All Qt5 ports are now built with -Wl,--as-needed to avoid overlinking, which is a problem with qmake-based because the libraries passed to the linker come from the modules .pri files and many are not necessary. - With this change, several ports had their USE_QT5 lines adjusted to explicitly include some libraries that were pulled in implicitly, and to exclude libraries no longer required with -Wl,--as-needed. Changes in specific ports: - devel/qt5: Drop the SQL_PLUGINS and TOOLS options and depend on all Qt5 ports by default. It makes the Makefile much simpler, and those options were already on by default. - devel/qt5-core: The clang+base libstdc++ workaround has been expanded and more C++11 features have been disabled when that combination is used by a port (basically, FreeBSD 9 with USES=compiler:c++11-lang). The disabled features have explanations for why they were disabled in the patched header itself. - devel/qt5-designer: uiplugins has been split out following a similar change upstream. By depending on qt5-uiplugin, qt5-uitools avoids having to depend on the big qt5-designer port. - multimedia/qt5-multimedia: The port now uses GStreamer 1.0 instead of 0.10. - net/qt5-network: The port now depends on libproxy for proxy settings. Using libproxy allows proxy settings to be read from different sources, and also allows .pac files to work with Qt. - www/qt5-webkit: The port now uses GStreamer 1.0 instead of 0.10. PR: 205805 PR: 206435 Notes: svn path=/head/; revision=407169
* Update poppler to 0.40.0. [1]Koop Mast2016-01-212-0/+28
| | | | | | | | | | | | Add patches to py-poppler [2] and rubygem-poppler [3] to fix the build of these ports with poppler 0.39+. PR: 206293 [1] Submitted by: olivierd@ [1] Obtained from: ubuntu [2], rubygem-poppler upstream [3] Notes: svn path=/head/; revision=406872
* Upgrade to 0.13.Vanilla I. Shu2016-01-212-6/+4
| | | | | | | Approved by: maintainer via twitter. Notes: svn path=/head/; revision=406826
* Upgrade to 0.5.Vanilla I. Shu2016-01-212-13/+11
| | | | | | | Approved by: maintainer via twitter. Notes: svn path=/head/; revision=406825
* x11-toolkits/p5-Wx: 0.99.27 -> 0.99.28Kurt Jaeger2016-01-183-15/+28
| | | | | | | | | | - also fix build error on 9.x PR: 200309 Submitted by: KATO Tsuguru <tkato432@yahoo.com> Notes: svn path=/head/; revision=406551
* - Add rubygem-vte3 3.0.7Sunpoet Po-Chuan Hsieh2016-01-174-0/+29
| | | | | | | | | | Ruby/VTE is a Ruby binding of VTE. WWW: http://ruby-gnome2.sourceforge.jp/ Sponsored by: PortsCamp Taiwan Notes: svn path=/head/; revision=406496
* - Update to 3.0.7Sunpoet Po-Chuan Hsieh2016-01-172-6/+4
| | | | | | | | | | - Fix LICENSE Changes: https://github.com/ruby-gnome2/ruby-gnome2/blob/master/NEWS Sponsored by: PortsCamp Taiwan Notes: svn path=/head/; revision=406495
* - Update to 3.0.7Sunpoet Po-Chuan Hsieh2016-01-172-5/+4
| | | | | | | | | | - Fix LICENSE Changes: https://github.com/ruby-gnome2/ruby-gnome2/blob/master/NEWS Sponsored by: PortsCamp Taiwan Notes: svn path=/head/; revision=406494
* - Update to 3.0.7Sunpoet Po-Chuan Hsieh2016-01-172-5/+4
| | | | | | | | | | - Fix LICENSE Changes: https://github.com/ruby-gnome2/ruby-gnome2/blob/master/NEWS Sponsored by: PortsCamp Taiwan Notes: svn path=/head/; revision=406493
* - Update to 3.0.7Sunpoet Po-Chuan Hsieh2016-01-172-5/+4
| | | | | | | | | | - Fix LICENSE Changes: https://github.com/ruby-gnome2/ruby-gnome2/blob/master/NEWS Sponsored by: PortsCamp Taiwan Notes: svn path=/head/; revision=406489
* - Update to 3.0.7Sunpoet Po-Chuan Hsieh2016-01-172-6/+7
| | | | | | | | | | | | - Fix LICENSE - Add NO_ARCH - Use USE_GNOME=gtksourceview3 Changes: https://github.com/ruby-gnome2/ruby-gnome2/blob/master/NEWS Sponsored by: PortsCamp Taiwan Notes: svn path=/head/; revision=406488
* - Update to 3.0.7Sunpoet Po-Chuan Hsieh2016-01-172-5/+5
| | | | | | | | | | - Fix LICENSE Changes: https://github.com/ruby-gnome2/ruby-gnome2/blob/master/NEWS Sponsored by: PortsCamp Taiwan Notes: svn path=/head/; revision=406485
* - Update to 3.0.7Sunpoet Po-Chuan Hsieh2016-01-172-8/+8
| | | | | | | | | | - Fix LICENSE Changes: https://github.com/ruby-gnome2/ruby-gnome2/blob/master/NEWS Sponsored by: PortsCamp Taiwan Notes: svn path=/head/; revision=406484
* - Update to 3.0.7Sunpoet Po-Chuan Hsieh2016-01-172-5/+4
| | | | | | | | | | - Fix LICENSE Changes: https://github.com/ruby-gnome2/ruby-gnome2/blob/master/NEWS Sponsored by: PortsCamp Taiwan Notes: svn path=/head/; revision=406477
* Split render engine modules into separate ports to allow multipleDmitry Marakasov2016-01-169-11/+94
| | | | | | | | | | render modules installed at the same time without introducing unneeded dependencies. PR: 205726 Notes: svn path=/head/; revision=406252
* Convert LICENSE= "GPLxx # or later" to "GPLxx+"Dmitry Marakasov2016-01-127-7/+7
| | | | | | | Approved by: portmgr blanket Notes: svn path=/head/; revision=405891
* Remove deprecated @dirrmPawel Pekala2016-01-091-16/+0
| | | | | | | Approved by: portmgr blanket Notes: svn path=/head/; revision=405643
* Remove deprecated @dirrmPawel Pekala2016-01-092-14/+2
| | | | | | | Approved by: portmgr blanket Notes: svn path=/head/; revision=405641
* Update to version 2.2.12Pawel Pekala2016-01-063-8/+4
| | | | | | | | | | | | | | | | | | | | | | | | | Changelog: Simplify Cgu::Application::add() method (application.cpp). Minor implementation improvement for Cgu::Thread::parallel_transform* functions (do pointer arithmetic before not after tasks are launched) (parallel.h). Permit return value optimisation when returning thread object on starting new thread (thread.cpp). Update libtool to version 2.4.6. Documentation fix for doxygen-1.8.9 (docs/Doxyfile.in). Update code comments (emitter.h). Update documentation (doxygen.main.in, application.h, emitter.h, extension.h, future.h, future.tpp, shared_handle.h, shared_ptr.h, task_manager.h, thread.h). Notes: svn path=/head/; revision=405336
* Mark BROKEN: unfetchable.Raphael Kubo da Costa2016-01-051-0/+2
| | | | | | | | The project does not exist in PyPI anymore, and has no repository on Enthought's GitHub account. Notes: svn path=/head/; revision=405312
* - Switch to WRKSRCMartin Wilke2016-01-041-2/+2
| | | | Notes: svn path=/head/; revision=405244
* Update GStreamer1 to 1.6.2.Koop Mast2016-01-041-1/+1
| | | | | | | | | | | | | | | Update GStreamer1-vaapi to 0.7.0. * Spell GStreamer consistently. [1] * Fix typo in py3kplist in py3-gstreamer1 [1] * Improve plugins COMMENTS (more improvements welcome) * Actually include the gstreamer1-libav update this time. PR: 204204 [1] (based on) Submitted by: olivierd@ [1] Notes: svn path=/head/; revision=405242
* Switch to fetching from GitHub.Raphael Kubo da Costa2016-01-032-4/+5
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | The project does not seem to exist in PyPI anymore, switch to fetching from GitHub. diff between the two tarballs: Only in dist-TraitsGUI-3.1.0: PKG-INFO diff -upr dist-TraitsGUI-3.1.0/setup.cfg traitsgui-3.1.0/setup.cfg --- dist-TraitsGUI-3.1.0/setup.cfg 2009-07-16 19:04:50.000000000 +0200 +++ traitsgui-3.1.0/setup.cfg 2009-07-16 02:02:18.000000000 +0200 @@ -1,15 +1,13 @@ [egg_info] -tag_build = -tag_date = 0 -tag_svn_revision = 0 - -[nosetests] -verbosity = 0 -detailed-errors = 1 -with-coverage = 1 -with-doctest = 1 +tag_build = .dev +tag_svn_revision = 1 [aliases] release = egg_info -RDb '' bdist_egg = build_docs bdist_egg +[nosetests] +verbosity = 0 +with-doctest = 1 +detailed-errors = 1 +with-coverage = 1 Only in dist-TraitsGUI-3.1.0: TraitsGUI.egg-info MFH: 2016Q1 Notes: svn path=/head/; revision=405199
* - Remove unneeded comment from last commitWen Heping2016-01-031-2/+2
| | | | | | | Spotted by: miwi@(thanks !) Notes: svn path=/head/; revision=405118
* - Fix build on FreeBSD-9Wen Heping2016-01-031-0/+6
| | | | | | | Reported by: pkg-fallout@ Notes: svn path=/head/; revision=405113
* - Use DISTVERSIONPREFIX instead of DISTNAMESunpoet Po-Chuan Hsieh2016-01-011-2/+2
| | | | | | | - Use WRKSRC_SUBDIR instead of WRKSRC Notes: svn path=/head/; revision=404972